## org.h2.jmx
Interface DatabaseInfoMBean

All Known Implementing Classes:
  DatabaseInfo

    public interface DatabaseInfoMBean

Information and management operations for the given database.

H2.resource:

Method Summary
`int` `getCacheSize()` The current cache size in KB.
`int` `getCacheSizeMax()` The maximum cache size in KB.
`long` `getFileReadCount()` The file read count since the database was opened.
`long` `getFileSize()` The database file size in KB.
`long` `getFileWriteCount()` The number of write operations since the database was opened.
`long` `getFileWriteCountTotal()` The number of write operations since the database was created.
`int` `getLogMode()` The transaction log mode (0 disabled, 1 without sync, 2 enabled).
`java.lang.String` `getMode()` The database compatibility mode (REGULAR if no compatibility mode is used).
`int` `getTraceLevel()` The trace level (0 disabled, 1 error, 2 info, 3 debug).
`java.lang.String` `getVersion()` The database version.
`boolean` `isExclusive()` Is the database open in exclusive mode?
`boolean` `isMultiThreaded()` Is multi-threading enabled?
`boolean` `isMvcc()` Is MVCC (multi version concurrency) enabled?
`boolean` `isReadOnly()` Is the database read-only?
`java.lang.String` `listSessions()` List sessions, including the queries that are in progress, and locked tables.
`java.lang.String` `listSettings()` List the database settings.
`void` `setCacheSizeMax(int kb)` Change the maximum size.
`void` `setLogMode(int value)` Set the transaction log mode.
`void` `setTraceLevel(int level)` Set the trace level.

Method Detail

### isExclusive

    boolean isExclusive()

  Is the database open in exclusive mode?

  Returns:
    true if the database is open in exclusive mode, false otherwise
  H2.resource:

### isReadOnly

    boolean isReadOnly()

  Is the database read-only?

  Returns:
    true if the database is read-only, false otherwise
  H2.resource:

### getMode

    java.lang.String getMode()

  The database compatibility mode (REGULAR if no compatibility mode is used).

  Returns:
    the database mode
  H2.resource:

### isMultiThreaded

    boolean isMultiThreaded()

  Is multi-threading enabled?

  Returns:
    true if multi-threading is enabled, false otherwise
  H2.resource:

### isMvcc

    boolean isMvcc()

  Is MVCC (multi version concurrency) enabled?

  Returns:
    true if MVCC is enabled, false otherwise
  H2.resource:

### getLogMode

    int getLogMode()

  The transaction log mode (0 disabled, 1 without sync, 2 enabled).

  Returns:
    the transaction log mode
  H2.resource:

### setLogMode

    void setLogMode(int value)

  Set the transaction log mode.

  Parameters:
    `value` - the new log mode

### getFileWriteCountTotal

    long getFileWriteCountTotal()

  The number of write operations since the database was created.

  Returns:
    the total write count
  H2.resource:

### getFileWriteCount

    long getFileWriteCount()

  The number of write operations since the database was opened.

  Returns:
    the write count
  H2.resource:

### getFileReadCount

    long getFileReadCount()

  The file read count since the database was opened.

  Returns:
    the read count
  H2.resource:

### getFileSize

    long getFileSize()

  The database file size in KB.

  Returns:
    the number of pages
  H2.resource:

### getCacheSizeMax

    int getCacheSizeMax()

  The maximum cache size in KB.

  Returns:
    the maximum size
  H2.resource:

### setCacheSizeMax

    void setCacheSizeMax(int kb)

  Change the maximum size.

  Parameters:
    `kb` - the cache size in KB.

### getCacheSize

    int getCacheSize()

  The current cache size in KB.

  Returns:
    the current size
  H2.resource:

### getVersion

    java.lang.String getVersion()

  The database version.

  Returns:
    the version
  H2.resource:

### getTraceLevel

    int getTraceLevel()

  The trace level (0 disabled, 1 error, 2 info, 3 debug).

  Returns:
    the level
  H2.resource:

### setTraceLevel

    void setTraceLevel(int level)

  Set the trace level.

  Parameters:
    `level` - the new value

### listSettings

    java.lang.String listSettings()

  List the database settings.

  Returns:
    the database settings
  H2.resource:

### listSessions

    java.lang.String listSessions()

  List sessions, including the queries that are in progress, and locked tables.

  Returns:
    information about the sessions
  H2.resource: